Debian Bug report logs - #657602
freebsd-libs: FTBFS(kfreebsd-i386): fatal error: sys/_callout.h: No such file or directory

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: Christoph Egger <christoph@debian.org>

Date: Fri, 27 Jan 2012 11:06:08 UTC

Severity: serious

Tags: sid, wheezy

Found in version kfreebsd-kernel-headers/0.63

Fixed in versions kfreebsd-kernel-headers/0.65, 0.65

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#657602; Package src:freebsd-libs. (Fri, 27 Jan 2012 11:06:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 27 Jan 2012 11:06:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: freebsd-libs: FTBFS(kfreebsd-i386): fatal error: sys/_callout.h: No such file or directory
Date: Fri, 27 Jan 2012 12:05:40 +0100
Package: src:freebsd-libs
Version: 8.3~svn229725-3
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

cc -fpic -DPIC -Wall -g -pipe -fPIC -I. -I/build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/sys -D_GNU_SOURCE -isystem /usr/include/bsd -DLIBBSD_OVERLAY   -D__va_list=__builtin_va_list -O2 -isystem /usr/include/freebsd -I/build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/debian/local/include  -I/build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/lib/libsbuf/../../sys -std=gnu99 -fstack-protector -Wsystem-headers -Wall -Wno-format-y2k -Wno-uninitialized -Wno-pointer-sign -c /build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/lib/libsbuf/../../sys/kern/subr_sbuf.c -o subr_sbuf.So
building shared library libsbuf.so.0
touch build-sbuf-stamp
COPTS="-Wall -g -pipe -fPIC -I. -I/build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/sys -D_GNU_SOURCE -isystem /usr/include/bsd -DLIBBSD_OVERLAY   -D__va_list=__builtin_va_list -O2" CFLAGS="-Wall -g -pipe -fPIC -I. -I/build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/sys -D_GNU_SOURCE -isystem /usr/include/bsd -DLIBBSD_OVERLAY   -D__va_list=__builtin_va_list -O2 -isystem /usr/include/freebsd -I/build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/debian/local/include" NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO NO_PROFILE=1 DESTDIR=/build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/debian/tmp make -C /build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/lib/libcam SHLIBDIR=./
Warning: Object directory not changed from original /build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/lib/libcam
cc -Wall -g -pipe -fPIC -I. -I/build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/sys -D_GNU_SOURCE -isystem /usr/include/bsd -DLIBBSD_OVERLAY   -D__va_list=__builtin_va_list -O2 -isystem /usr/include/freebsd -I/build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/debian/local/include  -I/build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/lib/libcam -I/build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/lib/libcam/../../sys -std=gnu99 -fstack-protector  -c camlib.c
In file included from /build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/sys/cam/cam_ccb.h:39:0,
                 from camlib.c:41:
/usr/include/sys/callout.h:43:26: fatal error: sys/_callout.h: No such file or directory
compilation terminated.
*** Error code 1

Stop in /build/buildd-freebsd-libs_8.3~svn229725-3-kfreebsd-i386-AkvhUR/freebsd-libs-8.3~svn229725/lib/libcam.
make: *** [build-cam-stamp] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=freebsd-libs&arch=kfreebsd-i386&ver=8.3%7Esvn229725-3&stamp=1327114821

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Bug reassigned from package 'src:freebsd-libs' to 'kfreebsd-kernel-headers'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 30 Jan 2012 17:39:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions freebsd-libs/8.3~svn229725-3. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 30 Jan 2012 17:39:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions kfreebsd-kernel-headers/0.63. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 30 Jan 2012 17:39:08 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions kfreebsd-kernel-headers/0.65. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 30 Jan 2012 17:39:10 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sat, 25 Feb 2012 15:45:16 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Sat, 25 Feb 2012 15:45:16 GMT) Full text and rfc822 format available.

Message #18 received at 657602-done@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 657598-done@bugs.debian.org, 657602-done@bugs.debian.org
Subject: fixed
Date: Sat, 25 Feb 2012 15:42:46 +0000
Version: 0.65

-- 
Robert Millan




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Mar 2012 07:33:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:17:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.